<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>Okto - Single Sign-On Page</title>
    <link rel="icon" type="image/x-icon" href="../img/favicon.ico">
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-/Y6pD6FV/Vv2HJnA6t+vslU6fwYXjCFtcEpHbNJ0lyAFsXTsjBbfaDjzALeQsN6M" crossorigin="anonymous">
    <link href="https://getbootstrap.com/docs/4.0/examples/signin/signin.css" rel="stylesheet"
          integrity="sha384-oOE/3m0LUMPub4kaC09mrdEhIc+e3exm4xOGxAmuFXhBNF4hcg/6MiAXAf5p0P56" crossorigin="anonymous" />
    <script src="../script/login.js"></script>
</head>

<body>
<div class="container">
    <form id="loginRequest" method="post" action="http://localhost:8085/attendance/api/v1/login" onsubmit="http://localhost:8085/attendance/api/v1/login">
        <h1 class="form-signin-heading">Okto Login</h1>
        <h2 class="form-signin-heading">Please sign in</h2>
        <span id="err-global" class="err-msg"></span>
        <p>
            <label for="username" class="sr-only">Username</label><span id="err-username" class="err-msg"></span>
            <input type="text" id="username" name="username" class="loginRequest" placeholder="Username" required autofocus>
        </p>
        <p>
            <label for="password" class="sr-only">Password</label><span id="err-password" class="err-msg"></span>
            <input type="password" id="password" name="password" class="loginRequest" placeholder="Password" required>
        </p>
        <button id="submit" class="btn btn-lg btn-primary" type="submit">Sign in</button>
    </form>
</div>
<script>
    const base64EncodeEndpoint = 'http://localhost:8085/attendance/utils/b64/encode'
    loginRequest.onSubmit = (e) => {
        e.preventDefault();
        let response = await fetch(base64EncodeEndpoint , {
            method : 'GET',
            body : new FormData(loginRequest);
        });

        let result = await response.json();

        alert(result.message);
    };

    function validateForm(){
        var username = document.forms["loginRequest"]["username"].value;
	    var password = document.forms["loginRequest"]["password"].value;
	    // var email = document.forms["loginRequest"]["email"].value;
	    // var message = document.forms["loginRequest"]["your-message"].value;

        if (username.length<1) {
            document.getElementById('err-username').innerHTML = "* Username cannot be blank"
        }
        if (email.length<1) {
            document.getElementById('err-email').innerHTML = "* Email cannot be blank";
        }
        if (password.length<1) {
            document.getElementById('err-password').innerHTML = "* Password cannot be blank";
        }
    }
</script>
</body>

</html>